"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleError = void 0;
function handleError(error, log) {
    if (error instanceof Error) {
        log(error.toString());
        error.stack && log(error.stack);
    }
    else {
        log('Unknown error received:', String(error));
    }
}
exports.handleError = handleError;
//# sourceMappingURL=error.js.map