"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Shell = void 0;
const tslib_1 = require("tslib");
const util_1 = require("util");
const child_process_1 = require("child_process");
const tsyringe_1 = require("tsyringe");
const exec = util_1.promisify(child_process_1.exec);
let Shell = class Shell {
    async run(command) {
        const { stdout } = await exec(command);
        return stdout;
    }
};
Shell = tslib_1.__decorate([
    tsyringe_1.injectable()
], Shell);
exports.Shell = Shell;
//# sourceMappingURL=shell.js.map