import { UseCase } from '../../../core/domain/use-case';
import { GenerateReportInput } from './generate-report.case';
import { GitReport } from '../../domain/git-report';
import { GitReportRepository } from '../git-report.repository';
import { GitReportPrinter } from '../../infrastructure/cli/git-report.printer';
export declare class GenerateAnonymizeReportUseCase implements UseCase<GenerateReportInput, Promise<GitReport>> {
    private repository;
    private readonly printer;
    constructor(repository: GitReportRepository, printer: GitReportPrinter);
    exec(input: GenerateReportInput): Promise<GitReport>;
}
