import { Shell } from '../../core/infrastructure/shell';
import { GitReport } from '../domain/git-report';
import { GitReportRepository } from '../application/git-report.repository';
export declare class GitReportImplementationRepository implements GitReportRepository {
    private readonly shell;
    constructor(shell: Shell);
    readGitReport(projectPath: string, weeks: number): Promise<GitReport>;
    readGitProjects(directoryPath: string): Promise<string[]>;
}
